
Core - Bug # 42574

Status: Resolved Priority: Should have
Author: Nicole Cordes Category:
Created: 2012-10-31 Assigned To:
Updated: 2012-11-01 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Updating introduction package fails
Description

Updating the current introduction package fails due to hardcoded t3lib_div call in localconf.php. This class was removed and new
name is \TYPO3\CMS\Core\Utility\GeneralUtility

$TYPO3_CONF_VARS['FE']['pageNotFound_handling'] = t3lib_div::getIndpEnv('TYPO3_SITE_URL').'index.php?id=16';

We need to set class_alias in bootstrap where the GeneralUtility class gets loaded.

Associated revisions
Revision 50b7f65a - 2012-10-31 23:43 - Helmut Hummel

[BUGFIX] class_alias in the bootstrap for legacy base classes

The legacy base classes t3lib_div and t3lib_extMgm used
to be available early in the bootstrap.

To enable the usage of the old class names a class alias
needs to be set up right after these classes are included.

Change-Id: I3cfa69d9bbca378015ee5ea3c13a6fac032fe9cc
Fixes: #42574
Resolves: #41122
Releases: 6.0
Reviewed-on: http://review.typo3.org/14776
Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2012-10-31 23:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16091
#2 - 2012-10-31 23:31 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14776

#3 - 2012-11-01 00:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:50b7f65a30cc2c50708c2e633863e20f4bbae088.
